Home CVE Database CVE-2018-15857

CVE-2018-15857

Description

An invalid free in ExprAppendMultiKeysymList in xkbcomp/ast-build.c in xkbcommon before 0.8.1 could be used by local attackers to crash xkbcommon keymap parsers or possibly have unspecified other impact by supplying a crafted keymap file.

Priority: MEDIUM
CVSS v3: 7.8
Publish Date: Aug 25, 2018
Related ID: --
CVSS v2: HIGH
Modified Date: Aug 25, 2018

Find out more about CVE-2018-15857 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Related Products

Product Name Status Defect Fixed Downloads
Linux 7 SCP Not Vulnerable -- -- --
Linux 7 CGP Not Vulnerable -- -- --

Comments

libxkbcommon

Live chat
Online